Bug 674473 - ETHTOOL_OPT in ifcfg-ethX is not quoted with --ethtool kickstart option including autoneg
ETHTOOL_OPT in ifcfg-ethX is not quoted with --ethtool kickstart option inclu...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-01 22:26 EST by Masahiro Matsuya
Modified: 2011-09-21 17:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-11.1.2.229-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 02:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (709 bytes, patch)
2011-02-01 22:29 EST, Masahiro Matsuya
no flags Details | Diff

  None (edit)
Description Masahiro Matsuya 2011-02-01 22:26:50 EST
Description of problem:
When a customer installed with --ethtool="autoneg on wol g" kickstart option,
ETHTOOL_OPTS entry in ifcfg-ethX was created as below.

   ETHTOOL_OPTS=autoneg on wol g

This should be quoted as below.

   ETHTOOL_OPTS="autoneg on wol g"
  
Version-Release number of selected component (if applicable):
anaconda-11.1.2.224-1

How reproducible:
Always

Steps to Reproduce:
1. install with kickstart file including --ethtool="autoneg on wol g"
2. After installation, check /etc/ifcfg-eth0
  
Actual results:
The values of ETHTOOL_OPTS are not quoted.

Expected results:
The values of ETHTOOL_OPTS are quoted.
Comment 1 Masahiro Matsuya 2011-02-01 22:29:41 EST
Created attachment 476512 [details]
proposed patch
Comment 2 RHEL Product and Program Management 2011-02-17 17:00:18 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Radek Vykydal 2011-03-29 13:04:32 EDT
Thanks for the patch.
This should be fixed in anaconda-11.1.2.229-1.
Comment 5 Jan Stodola 2011-05-27 04:33:54 EDT
Tested on build RHEL5.7-Server-20110525.0 with anaconda-11.1.2.236-1.

kickstart command:
[root@gilliam ~]# grep network /var/www/html/ks 
network --device eth0 --bootproto dhcp --ethtool="autoneg on wol g"

after the installation:
[root@system1 ~]# grep ETHTOOL_OPTS /etc/sysconfig/network-scripts/ifcfg-eth0
ETHTOOL_OPTS="autoneg on wol g"

Moving to VERIFIED.
Comment 6 errata-xmlrpc 2011-07-21 02:55:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0984.html

Note You need to log in before you can comment on or make changes to this bug.